Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model
Class HDFObjectFactory

    java.lang.Object
      org.apache.poi.hdf.model.HDFObjectFactory

public class HDFObjectFactory
extends java.lang.Object

The Object Factory takes in a stream and creates the low level objects that represent the data.

Author:
  andy

Constructor Summary
`` | `HDFObjectFactory(java.io.InputStream istream)` Creates a new instance of HDFObjectFactory
`protected` | `HDFObjectFactory(java.io.InputStream istream, HDFLowLevelParsingListener l)` Creates a new instance of HDFObjectFactory

Method Summary
`static java.util.List` | `getTypes(java.io.InputStream istream)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDFObjectFactory

    protected HDFObjectFactory(java.io.InputStream istream,
                               HDFLowLevelParsingListener l)
                        throws java.io.IOException

  Creates a new instance of HDFObjectFactory

Parameters:
  `istream` - The InputStream that is the Word document

### HDFObjectFactory

    public HDFObjectFactory(java.io.InputStream istream)
                     throws java.io.IOException

  Creates a new instance of HDFObjectFactory

Parameters:
  `istream` - The InputStream that is the Word document

Method Detail

### main

    public static void main(java.lang.String[] args)

### getTypes

    public static java.util.List getTypes(java.io.InputStream istream)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.